Subject: Re: booting Linux 2.6.15 using a ramdisk and greater than 512MB of DRAM

From: Xianghua Xiao <[email-masked]>
Date: Fri, 09 Jun 2006 14:46:19 -0500

I think it's a u-boot 'feature' and has nothing to do with the kernel.
xianghua

Scott Coulter wrote:

>Xianghua,
>
>That seems to have worked.
>
>Do you think that this is worth investigating?
>
>Thanks,
>
>
>Scott
>
>
>
>
>
>
>___________________________________________________________________
>
>  Scott N. Coulter
>  Senior Software Engineer
>  
>  Cyclone Microsystems          
>  370 James Street              Phone:  203.786.5536 ext. 118
>  New Haven, CT 06513-3051      Email:  [email-masked]
>  U.S.A.                        Web:    http://www.cyclone.com
>___________________________________________________________________
>
>-----Original Message-----
>From: Xianghua Xiao [mailto:[email-masked]] 
>Sent: Friday, June 09, 2006 3:37 PM
>To: Scott Coulter
>Subject: Re: booting Linux 2.6.15 using a ramdisk and greater than 512MB
>of DRAM
>
>try set initrd_high=0xffffffff under u-boot, see if it helps
>
>Scott Coulter wrote:
>
>  
>
>>Hi everyone,
>>
>>I am not sure if this is a linux question or a u-boot question.  I have
>>a custom MPC8540 board running U-boot 1.1.4.  With a NFS root
>>configuration, I have booted and run 2.6.15 with memory from 256MB to
>>2GB.  If I build a ramdisk image (or even if I use the ramdisk image
>>with the 85xx version of ELDK 4.0) and then combine it with the kernel
>>image (vmlinux.gz) using "mkimage", the linux boot blows out with an
>>oops if I boot the board with more that 512MB of DRAM.  From the U-boot
>>output, it looks like the ramdisk image is getting copied to the upper
>>portion of DRAM.  Is it possible that the kernel doesn't map enough
>>    
>>
>DRAM
>  
>
>>to allow the image to be read?
>>
>>I haven't spent a lot of time debugging this once I saw that the 512MB
>>configuration worked OK.  Has anyone run into this?
>>
>>Thanks,
>>
>>Scott
>>
>>
>>
>>___________________________________________________________________
>>
>> Scott N. Coulter
>> Senior Software Engineer
>> 
>> Cyclone Microsystems          
>> 370 James Street              Phone:  203.786.5536 ext. 118
>> New Haven, CT 06513-3051      Email:  [email-masked]
>> U.S.A.                        Web:    http://www.cyclone.com
>>___________________________________________________________________
>>
>>_______________________________________________
>>Linuxppc-embedded mailing list
>>[email-masked]
>>https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>> 
>>
>>    
>>